%define name		xerces-j2
%define version		2.2.1
%define cvs_version	2_2_1
%define release		1.2.1
%define javadir		%{_datadir}/java
%define javadocdir	%{_datadir}/javadoc
%define section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Java XML parser
License:	Apache Software License
URL:		http://xml.apache.org/xerces2-j/
Group:		Text Processing/Markup/XML
Vendor:		Guardian Digital Inc.
Distribution:	EnGarde Secure Linux
Source0:	http://xml.apache.org/dist/xerces-j/Xerces-J-src.2.2.1.tar.gz
Source1:        xerces-j2.version.script
Source2:        xerces-j2.constants.script
Patch0:         xerces-j3.build.patch
# Fix for Tomcat admin and examples webapps not working.
# Should be removed after there is a upstream > 2.2.1 available.
Patch1:         xerces-j2.13282.patch
Provides:	jaxp_parser_impl
Requires:	xml-commons-apis
Requires:	/usr/sbin/update-alternatives
BuildRequires:	ant >= 1.5
BuildRequires:	xerces-j1
BuildRequires:	xalan-j2
BuildArch:	i386
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Welcome to the future! Xerces2 is the next generation of high performance,
fully compliant XML parsers in the Apache Xerces family. This new version of
Xerces introduces the Xerces Native Interface (XNI), a complete framework for
building parser components and configurations that is extremely modular and
easy to program.
The Apache Xerces2 parser is the reference implementation of XNI but other
parser components, configurations, and parsers can be written using the Xerces
Native Interface. For complete design and implementation documents, refer to
the XNI Manual.
Xerces 2 is a fully conforming XML Schema processor. For more information,
refer to the XML Schema page.
Xerces 2 also provides a partial implementation of Document Object Model
Level 3 Core, Load and Save and Abstract Schemas [deprecated] Working Drafts.
For more information, refer to the DOM Level 3 Implementation page.

%package        manual
Summary:	Manual for %{name}
Group:		Text Processing/Markup/XML
BuildRequires:	stylebook1.0b3

%description    manual
Documentation for %{name}.

%package        javadoc-impl
Summary:	Javadoc for %{name} implementation
Group:		Development/Documentation

%description    javadoc-impl
Javadoc for %{name} implementation.

%package        javadoc-apis
Summary:	Javadoc for %{name} apis
Group:		Development/Documentation

%description    javadoc-apis
Javadoc for %{name} apis.

%package        javadoc-dom3
Summary:	Javadoc for %{name} DOM3
Group:		Development/Documentation

%description    javadoc-dom3
Javadoc for %{name} DOM3.

%package        javadoc-xni
Summary:	Javadoc for %{name} xni
Group:		Development/Documentation

%description    javadoc-xni
Javadoc for %{name} xni.

%package        javadoc-other
Summary:	Javadoc for other %{name} components
Group:		Development/Documentation

%description    javadoc-other
Javadoc for other %{name} components.

%package        demo
Summary:	Demo for %{name}
Group:		Development/Testing
Requires:	%{name} = %{version}-%{release}

%description    demo
Demonstrations and samples for %{name}.

%package        scripts
Summary:        Additional utility scripts for %{name}
Group:          Text Processing/Markup/XML
Requires:       %{name} = %{version}-%{release}, jpackage-utils

%description scripts
Additional utility scripts for %{name}.

%prep
%setup -q -n xerces-%{cvs_version}
%patch0 -p0
%patch1 -p2

%build

# build with empty CLASSPATH
export CLASSPATH=
ant -Dbuild.compiler=modern jars javadocs

# set the CLASSPATH to use old xerces with stylebook1.0b3
export CLASSPATH=\
%{javadir}/xerces-j1.jar:\
%{javadir}/xalan-j2.jar:\
%{javadir}/xml-commons-apis.jar:\
%{javadir}/stylebook1.0b3.jar:\
build/classes

# use ant 1.5 CLASSPATH_OVERRIDE trick
export CLASSPATH_OVERRIDE="true"
ant docs
unset CLASSPATH_OVERRIDE


%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{javadir}
cp -p build/xercesImpl.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
mkdir -p $RPM_BUILD_ROOT%{javadocdir}/%{name}-impl-%{version}
cp -pr build/docs/javadocs/xerces2/* \
  $RPM_BUILD_ROOT%{javadocdir}/%{name}-impl-%{version}

mkdir -p $RPM_BUILD_ROOT%{javadocdir}/%{name}-apis-%{version}
cp -pr build/docs/javadocs/api/* \
  $RPM_BUILD_ROOT%{javadocdir}/%{name}-apis-%{version}

mkdir -p $RPM_BUILD_ROOT%{javadocdir}/%{name}-xni-%{version}
cp -pr build/docs/javadocs/xni/* \
  $RPM_BUILD_ROOT%{javadocdir}/%{name}-xni-%{version}

mkdir -p $RPM_BUILD_ROOT%{javadocdir}/%{name}-dom3-%{version}
cp -pr build/docs/javadocs/dom3-api/* \
  $RPM_BUILD_ROOT%{javadocdir}/%{name}-dom3-%{version}

mkdir -p $RPM_BUILD_ROOT%{javadocdir}/%{name}-other-%{version}
cp -pr build/docs/javadocs/other/* \
  $RPM_BUILD_ROOT%{javadocdir}/%{name}-other-%{version}

rm -rf build/docs/javadocs

# scripts
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/%{name}-version
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/%{name}-constants

# demo
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -p build/xercesSamples.jar \
  $RPM_BUILD_ROOT%{_datadir}/%{name}/%{name}-samples.jar
cp -pr data $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-alternatives --install %{javadir}/jaxp_parser_impl.jar \
  jaxp_parser_impl %{javadir}/%{name}.jar 40

%postun
if [ "$1" = "0" ]; then
  update-alternatives --remove jaxp_parser_impl %{javadir}/%{name}.jar
fi

%files
%defattr(0644,root,root,0755)
%doc LICENSE README ISSUES STATUS TODO
%{javadir}/*

%files manual
%defattr(0644,root,root,0755)
%doc build/docs/*

%files javadoc-impl
%defattr(0644,root,root,0755)
%{javadocdir}/%{name}-impl-%{version}

%files javadoc-apis
%defattr(0644,root,root,0755)
%{javadocdir}/%{name}-apis-%{version}

%files javadoc-dom3
%defattr(0644,root,root,0755)
%{javadocdir}/%{name}-dom3-%{version}

%files javadoc-other
%defattr(0644,root,root,0755)
%{javadocdir}/%{name}-other-%{version}

%files javadoc-xni
%defattr(0644,root,root,0755)
%{javadocdir}/%{name}-xni-%{version}

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}

%files scripts
%defattr(0755,root,root,0755)
%{_bindir}/*

%changelog
* Wed Jan 8 2003 Eric B. Lubow <eric@guardiandigital.com> - 2.2.1-3jpp
- Rebuilt Package for EnGarde Linux

* Sat Dec 28 2002 Ville Skytt <ville.skytta at iki.fi> - 2.2.1-2jpp
- Add upstream patch which fixes problems with Tomcat's webapps.
  <http://nagoya.apache.org/bugzilla/show_bug.cgi?id=13282>
  <http://marc.theaimsgroup.com/?l=xerces-cvs&m=103791990130308>
- Separate scripts subpackage.

* Fri Nov 15 2002 Ville Skytt <ville.skytta at iki.fi> - 2.2.1-1jpp
- Update to 2.2.1.
- Change alternative to point to non-versioned jar.
- Don't remove alternative on upgrade.
- Fix Group tag for demo, javadoc and manual subpackages.
- Add version and constants scripts.
- Some spec file cleanup.

* Sun Oct  6 2002 Ville Skytt <ville.skytta at iki.fi> 2.2.0-2jpp
- Fix bad permissions for main jar.

* Sun Sep 29 2002 Ville Skytt <ville.skytta at iki.fi> 2.1.0-1jpp
- Update to 2.2.0.

* Tue Sep 10 2002 Ville Skytt <ville.skytta at iki.fi> 2.1.0-2jpp
- Rebuild with -Dcompiler=modern, not a Jikes bug this time, but sloppy code
  that is tolerated by javac.  See <http://www-124.ibm.com/developerworks/bugs/?func=detailbug&bug_id=3218&group_id=10> for details.

* Tue Sep 10 2002 Ville Skytt <ville.skytta at iki.fi> 2.1.0-1jpp
- 2.1.0.
- Updated description.
- Changed javadoc and manual group to Documentation.
- Spec file cleanups.

* Fri Jul 12 2002 Henri Gomez <hgomez@users.sourceforge.net> 2.0.2-4jpp
- add BuildRequires xerces-j1 and xalan-j2
- removed BuildRequires xml-commons-api since ant require jaxp_parser_impl
  which in turn require xml-commons-api ;)

* Mon Jul 01 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0.2-3jpp 
- vendor, distribution, group tags
- provides jaxp_parser_impl
- dropped api jar
- renamed lone jar to %{name}.jar
- priority bumped to 40
- fixed stylebook build (add xerces-j1 in classpath)

* Wed Jun 26 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0.2-2jpp
- rebuild for missing symlinks
- use sed instead of bash 2.x extension in link area to make spec compatible with distro using bash 1.1x

* Mon Jun 24 2002 Henri Gomez <hgomez@users.sourceforge.net> 2.0.2-1jpp
- 2.0.2

* Sun Mar 10 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0.1-1jpp 
- 2.0.1
- provides jaxp_parser2 virtual resource
- drop wrapper

* Sun Feb 03 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0.0-1jpp 
- first JPackage release
